# Uses of Class
org.apache.qpid.proton.codec.DecoderImpl

Packages that use DecoderImpl
Package
Description
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.codec.transport

## Uses of DecoderImpl in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return DecoderImpl
Modifier and Type
Method
Description
`DecoderImpl`
AbstractDescribedType.`getDecoder()`
`DecoderImpl`
EncoderImpl.`getDecoder()`
Constructors in org.apache.qpid.proton.codec with parameters of type DecoderImpl
Modifier
Constructor
Description
``
`ArrayType(EncoderImpl encoder, DecoderImpl decoder, BooleanType boolType, ByteType byteType, ShortType shortType, IntegerType intType, LongType longType, FloatType floatType, DoubleType doubleType, CharacterType characterType)`
``
`ByteEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`CharacterEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`DoubleEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`EncoderImpl(DecoderImpl decoder)`
``
`FloatEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`ShortEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`UnsignedByteEncoding(EncoderImpl encoder, DecoderImpl decoder)`

## Uses of DecoderImpl in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return DecoderImpl
Modifier and Type
Method
Description
`DecoderImpl`
FastPathAcceptedType.`getDecoder()`
`DecoderImpl`
FastPathAmqpSequenceType.`getDecoder()`
`DecoderImpl`
FastPathAmqpValueType.`getDecoder()`
`DecoderImpl`
FastPathApplicationPropertiesType.`getDecoder()`
`DecoderImpl`
FastPathDataType.`getDecoder()`
`DecoderImpl`
FastPathDeliveryAnnotationsType.`getDecoder()`
`DecoderImpl`
FastPathFooterType.`getDecoder()`
`DecoderImpl`
FastPathHeaderType.`getDecoder()`
`DecoderImpl`
FastPathMessageAnnotationsType.`getDecoder()`
`DecoderImpl`
FastPathPropertiesType.`getDecoder()`

## Uses of DecoderImpl in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return DecoderImpl
Modifier and Type
Method
Description
`DecoderImpl`
FastPathDispositionType.`getDecoder()`
`DecoderImpl`
FastPathFlowType.`getDecoder()`
`DecoderImpl`
FastPathTransferType.`getDecoder()`